@import "../partials/mixins";
@import "../partials/variables";
@import "../partials/classes";
@import "./typography.scss";

.wx__side__nav {
  display: flex;
  flex-direction: column;
  align-items: center;
  .active {
    background: $primary__100;
    &::before {
      content: "";
      position: absolute;
      border-radius: 3px;
      width: 4px;
      height: 18px;
      background: $primary__500;
      left: -6px;
    }
  }
}

.wx__single__side__nav {
  display: flex;
  align-items: center;
  width: 225px;
  height: 32px;
  padding: 9.06px 18.33px;
  border-radius: 4px;
  position: relative;
  z-index: 1;
  margin: 4px 0px;
  color: $primary__800;
  transition: 0.3s;
  text-decoration: none;
  cursor: pointer;
  .wx__side__navigation__text {
    span {
      @extend .wx__text_subtitle;
      @extend .wx__text_semibold;
    }
  }
  .wx__side__navigation__text {
    margin: 0 0 0 10.33px;
  }
  &:hover {
    background: $neutral__200;
  }
  &:active {
    background: $primary__200;
  }
}

.wx__single_side_nav_childrens {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: center;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3s;
  text-decoration: none;
}

.wx__single_side_nav_single_childrens {
  @extend .wx__single__side__nav;
  .wx__side__childrens__text {
    span {
      margin: 0 0 0 56px;
      @extend .wx__text_subtitle;
      @extend .wx__text_semibold;
    }
  }
}
